package com.crm.rely.backend.core.constant;

/**
 * @program: crm-backend
 * @description:
 * @author: houn
 * @create: 2019-07-30 16:18
 */
public enum PrefixEnum {
    //后台用户
    PREFIX_USER("PREFIX_USER_"),
    //客户
    PREFIX_CUSTOM("PREFIX_CUSTOM_"),
    //超级管理员
    PREFIX_SYSTEM("PREFIX_SYSTEM_"),
    //销售
    PREFIX_SALE("PREFIX_SALE_"),
    PREFIX_FINANCE("PREFIX_FINANCE_"),
    PREFIX_MARKET("PREFIX_MARKET_"),
    PREFIX_LEGAL_AFFAIRS("PREFIX_LEGAL_AFFAIRS_"),
    PREFIX_ADMIN("PREFIX_ADMIN_");
    private String code;

    PrefixEnum(String code) {
        this.code = code;
    }

    public String getCode() {
        return this.code;
    }

    public boolean equals(String type) {
        return this.code.equals(type);
    }
}
